package fxPuntti;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import javafx.fxml.FXML;


/**
 * @author laspa
 * @version 20.1.2025
 *
 */
public class PunttiGUIController {


    
    @FXML void handleDefaultTallenna() {
        Dialogs.showMessageDialog("Ei osata vielä tallentaa");
    }
    

    @FXML void handleDefaultApua() {
        Dialogs.showMessageDialog("Ei osata vielä");
    }

    @FXML void handleDefaultMuokkaa() {
        Dialogs.showMessageDialog("Ei osata vielä");
    }

    @FXML void handleDefaultPoistaTulos() {
        Dialogs.showMessageDialog("Ei osata poistaa tulosta");
    }

    @FXML void handleDefaultTiedosto() {
        Dialogs.showMessageDialog("Ei osata vielä");
    }

    @FXML void handleDefaultUusiLiike() {
        ModalController.showModal(PunttiGUIController.class.getResource("LisaaUusiLiikeGUIView.fxml"), "Liike", null, "");
    }

    @FXML private void handleUusiTulos() {
        ModalController.showModal(PunttiGUIController.class.getResource("LisaaUusiTulosGUIView.fxml"), "Tulos", null, "");
    }

    
    private void lueTiedosto(@SuppressWarnings("unused") String nimi) {
//        punttinimi = nimi;
//        setTitle("Puntti - " + nimi);
        String virhe = "Ei ostata lukea vielä";
//        if (virhe != null)
            Dialogs.showMessageDialog(virhe);
    }
    
    /**
     * @return palauttaa true jos avataan ja false jos ei avata
     */
    public boolean avaa() {
        String uusinimi = KirjautumissivuGUIController.kysyNimi(null, "Vili");
        if (uusinimi == null) return false;
        lueTiedosto(uusinimi);
        return true;
    }
      // TODO
    
   

}