package fxPuntti;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;



/**
 * @author laspa
 * @version 20.1.2025
 *
 */
public class PunttiMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            
            
            final FXMLLoader ldr = new FXMLLoader(getClass().getResource("PunttiGUIView.fxml"));
            final Pane root = ldr.load();
            final PunttiGUIController punttiCtrl = (PunttiGUIController) ldr.getController();
            
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("puntti.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("Puntti");
            primaryStage.show();
            if ( !punttiCtrl.avaa() ) Platform.exit();
        } catch(Exception e) {
            e.printStackTrace();
        }

    }

    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}